### Method

# WebKitWebProcessExtension ContextMenu set_user_data

since: 2.8

#### Declaration [src]

    void
    webkit_context_menu_set_user_data (
      WebKitContextMenu* menu,
      GVariant* user_data
    )

#### Description [src]

Sets user data to `menu`.

This function can be used from a Web Process extension to set user data that can be retrieved from the UI Process using webkit_context_menu_get_user_data(). If the `user_data` `GVariant` is floating, it is consumed.

Available since: 2.8

#### Parameters

`user_data`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the method.